Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::CSVColumn Class Reference

Store import parameters for a CSV file column. More...

`#include <CSVGraphImport.h>`

List of all members.

## Public Member Functions

- CSVColumn (const std::string &columnName="", bool isUsed=false, const std::string &columnType="")
- std::string columnName () const
    Get the name of the column.
- bool isUsed () const
    Tells if the property marked for import.
- std::string columnDataType () const
    Return the property data type.

## Detailed Description

Store import parameters for a CSV file column.

Contains all the parameters defined by user for a given CSV column (the name of the column, its data type and if user want to import it).

## Constructor & Destructor Documentation

tlp::CSVColumn::CSVColumn | ( | const std::string & | columnName = `""`,
|  | bool | isUsed = `false`,
|  | const std::string & | columnType = `""`
| ) |  | `[inline]`

## Member Function Documentation

std::string tlp::CSVColumn::columnDataType | ( |  | ) | const`[inline]`

Return the property data type.

std::string tlp::CSVColumn::columnName | ( |  | ) | const`[inline]`

Get the name of the column.

bool tlp::CSVColumn::isUsed | ( |  | ) | const`[inline]`

Tells if the property marked for import.

Tulip Software by LaBRI Visualization Team 2001 - 2012